You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     avi...@freebsd.org
Last committer: zeis...@freebsd.org
Ident:          $FreeBSD: head/multimedia/mlt/Makefile 351411 2014-04-16 
18:28:47Z zeising $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2014-05-23_09h21m35s/logs/mlt-0.9.0_3.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2014-05-23_09h21m35s
Log:

====>> Building multimedia/mlt
build started at Fri May 23 11:59:28 UTC 2014
port directory: /usr/ports/multimedia/mlt
building for: FreeBSD head-amd64-default-job-21 11.0-CURRENT FreeBSD 
11.0-CURRENT r264257 amd64
maintained by: avi...@freebsd.org
Makefile ident:      $FreeBSD: head/multimedia/mlt/Makefile 351411 2014-04-16 
18:28:47Z zeising $
Poudriere version: 3.1-pre
Host OSVERSION: 1100013
Jail OSVERSION: 1100018




!!! Jail is newer than host. (Jail: 1100018, Host: 1100013) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
OSVERSION=1100018
UNAME_v=FreeBSD 11.0-CURRENT r264257
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/build/head-amd64-default/ref
PKG_EXT=txz
tpid=24545
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=mlt-0.9.0_3
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
OLDPWD=/usr/local/poudriere/data/build/head-amd64-default/ref/poudriere/rdeps
PWD=/usr/local/poudriere/data/build/head-amd64-default/ref/poudriere/pool
MASTERNAME=head-amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for mlt-0.9.0_3:
     DOCS=on: Build and/or install documentation
     DV=on: Quasar DV video codec support (libdv)
     EXAMPLES=on: Build and/or install examples
     FFMPEG=on: FFmpeg support (WMA, AIFF, AC3, APE...)
     FREI0R=on: Frei0r video plugins support
     GTK2=on: Images and text rendering via GTK+ 2
     JACK=off: JACK audio server support
     KDE4=off: QImage extra formats support
     QT4=on: Kdenlive titles and images support via QImage
     QUICKTIME=off: QuickTime support
     SAMPLERATE=on: Sample rate conversion support
     SOX=on: SoX audio effects support
     SWFDEC=on: Flash support via Swfdec
     VDPAU=off: VDPAU (GPU video acceleration) support
     VORBIS=on: Ogg Vorbis audio codec support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--enable-gpl --enable-gpl3 --disable-debug --enable-dv --enable-avformat 
--avformat-swscale  --avformat-suffix="" --enable-frei0r --enable-gtk2 
--disable-jackrack --enable-qimage  
--qimage-includedir="/usr/local/include/qt4"  
--qimage-libdir="/usr/local/lib/qt4" --without-kde --disable-kino 
--enable-resample --enable-sox --enable-swfdec --avformat-no-vdpau 
--enable-vorbis --with-qt-includes=/usr/local/include/qt4  
--with-qt-libraries=/usr/local/lib/qt4  
--with-extra-includes=/usr/local/include  --with-extra-libs=/usr/local/lib 
--prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" QTDIR="/usr/local" QMAKE="/usr/local/bin/qmake-qt4" 
 MOC="/usr/local/bin/moc-qt4" RCC="/usr/local/bin/rcc" 
UIC="/usr/local/bin/uic-qt4"  
QMAKESPEC="/usr/local/share/qt4/mkspecs/freebsd-$(ccver="$(c++ --version)"; 
case "$ccver" in *clang*) echo clang ;; *) echo g++ ;; esac)" 
SDL_CONFIG=/usr/local/bin/sdl-config MAKE=gmake PKG_CONFIG=pkgconf 
SHELL=/bin/sh CONFIG_SHELL=/bin/sh CONFIG_SITE=/usr/ports/Templates/config.site 
lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SDL_CONFIG=/usr/local/bin/sdl-config SHELL=/bin/sh 
NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" 
CFLAGS="-O2 -pipe  -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=""  
CXX="c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTVERSION="0.9.0"
DV=""
FFMPEG=""
FREI0R=""
GTK2=""
JACK="@comment
"
QT4=""
QUICKTIME="@comment
"
SAMPLERATE=""
SOX=""
SWFDEC=""
VORBIS=""
QT_PREFIX="/usr/local"
QT_BINDIR="bin"
QT_INCDIR="include/qt4"
QT_LIBDIR="lib/qt4"
QT_ARCHDIR="lib/qt4/qt4"
QT_PLUGINDIR="lib/qt4/plugins"
QT_LIBEXECDIR="libexec/qt4"
QT_IMPORTDIR="lib/qt4/imports"
QT_QMLDIR="lib/qt4/qt4/qml"
QT_DATADIR="share/qt4"
QT_DOCDIR="share/doc/qt4"
QT_L10NDIR="share/qt4/translations"
QT_ETCDIR="etc/xdg"
QT_EXAMPLEDIR="share/examples/qt4"
QT_TESTDIR="share/qt4/tests"
QT_MKSPECDIR="share/qt4/mkspecs"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
PORTDATA=""
LIB32DIR=lib
GTK2_VERSION="2.10.0"
GTK3_VERSION="3.0.0"
DOCSDIR="share/doc/mlt"
EXAMPLESDIR="share/examples/mlt"
DATADIR="share/mlt"
WWWDIR="www/mlt"
ETCDIR="etc/mlt"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/mlt
DOCSDIR=/usr/local/share/doc/mlt
EXAMPLESDIR=/usr/local/share/examples/mlt
WWWDIR=/usr/local/www/mlt
ETCDIR=/usr/local/etc/mlt
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for mlt-0.9.0_3
=======================<phase: check-sanity   >============================
===>  License GPLv2 GPLv3 LGPL21 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   mlt-0.9.0_3 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.7_2.txz
Installing pkg-1.2.7_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of mlt-0.9.0_3
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 GPLv3 LGPL21 accepted by the user
===> Fetching all distfiles required by mlt-0.9.0_3 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 GPLv3 LGPL21 accepted by the user
===> Fetching all distfiles required by mlt-0.9.0_3 for building
=> SHA256 Checksum OK for mlt-0.9.0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 GPLv3 LGPL21 accepted by the user
===> Fetching all distfiles required by mlt-0.9.0_3 for building
===>  Extracting for mlt-0.9.0_3
=> SHA256 Checksum OK for mlt-0.9.0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for mlt-0.9.0_3
===>  Applying FreeBSD patches for mlt-0.9.0_3
===========================================================================
=======================<phase: build-depends  >============================
===>   mlt-0.9.0_3 depends on file: /usr/local/include/frei0r.h - not found
===>    Verifying install for /usr/local/include/frei0r.h in 
/usr/ports/graphics/frei0r
===>   Installing existing package /packages/All/frei0r-1.3_1.txz
Installing frei0r-1.3_1... done
===>   Returning to build of mlt-0.9.0_3
===>   mlt-0.9.0_3 depends on file: /usr/local/bin/sdl-config - not found
===>    Verifying install for /usr/local/bin/sdl-config in 
/usr/ports/devel/sdl12
===>   Installing existing package /packages/All/sdl-1.2.15_4,2.txz
Installing sdl-1.2.15_4,2...Installing aalib-1.4.r5_10... done
<snip>
Installing pango-1.34.1_4...Installing cairo-1.10.2_10,2...Installing 
pixman-0.32.4_2... done
Installing xcb-util-renderutil-0.3.8_2...Installing xcb-util-0.3.9_3,1... done
 done
 done
Installing harfbuzz-0.9.28...Installing graphite2-1.2.4... done
 done
Installing libXft-2.3.1_2... done
 done
Installing shared-mime-info-1.1_1... done
 done
Installing python-2.7_1,2...Installing python2-2_2... done
 done
 done
===>   Returning to build of mlt-0.9.0_3
===>   mlt-0.9.0_3 depends on shared library: libxml2.so - found
===>   mlt-0.9.0_3 depends on shared library: libpango-1.0.so - found
===>   mlt-0.9.0_3 depends on shared library: dv - not found
===>    Verifying install for dv in /usr/ports/multimedia/libdv
===>   Installing existing package /packages/All/libdv-1.0.0_4.txz
Installing libdv-1.0.0_4...Installing popt-1.16... done
 done
===>   Returning to build of mlt-0.9.0_3
===>   mlt-0.9.0_3 depends on shared library: avformat - not found
===>    Verifying install for avformat in /usr/ports/multimedia/ffmpeg
===>   Installing existing package /packages/All/ffmpeg-2.1.1_3,1.txz
Installing ffmpeg-2.1.1_3,1...Installing gnutls-2.12.23_5...Installing 
libgpg-error-1.13... done
Installing libtasn1-3.3... done
Installing nettle-2.7.1...Installing gmp-5.1.3_2... done
 done
Installing p11-kit-0.20.2_1...Installing ca_root_nss-3.16... done
 done
 done
Installing libtheora-1.1.1_5...Installing libvorbis-1.3.4,3...Installing 
libogg-1.3.1,4... done
 done
 done
Installing libvpx-1.3.0... done
Installing opencv-core-2.4.7_1... done
Installing schroedinger-1.0.11_1...Installing orc-0.4.19_2... done
 done
Installing x264-0.136.2358_4...Installing gpac-libgpac-0.5.0,1... done
 done
Installing xvid-1.3.2,1... done
 done
===>   Returning to build of mlt-0.9.0_3
===>   mlt-0.9.0_3 depends on shared library: exif - not found
===>    Verifying install for exif in /usr/ports/graphics/libexif
===>   Installing existing package /packages/All/libexif-0.6.21_2.txz
Installing libexif-0.6.21_2... done
===>   Returning to build of mlt-0.9.0_3
===>   mlt-0.9.0_3 depends on shared library: exif - found
===>   mlt-0.9.0_3 depends on shared library: samplerate - not found
===>    Verifying install for samplerate in /usr/ports/audio/libsamplerate
===>   Installing existing package /packages/All/libsamplerate-0.1.8_5.txz
Installing libsamplerate-0.1.8_5...Installing libsndfile-1.0.25_4...Installing 
flac-1.3.0_1... done
 done
 done
===>   Returning to build of mlt-0.9.0_3
===>   mlt-0.9.0_3 depends on shared library: sox - not found
===>    Verifying install for sox in /usr/ports/audio/sox
===>   Installing existing package /packages/All/sox-14.4.1_3.txz
Installing sox-14.4.1_3...Installing gsm-1.0.13... done
Installing libao-1.1.0_1... done
Installing libid3tag-0.15.1b... done
Installing libltdl-2.4.2_3... done
Installing libmad-0.15.1b_5... done
 done
===>   Returning to build of mlt-0.9.0_3
===>   mlt-0.9.0_3 depends on shared library: swfdec-0.8 - not found
===>    Verifying install for swfdec-0.8 in /usr/ports/graphics/swfdec
===>   Installing existing package /packages/All/swfdec-0.8.4_5.txz
Installing swfdec-0.8.4_5...Installing gstreamer-ffmpeg-0.10.13_1...Installing 
gstreamer-plugins-0.10.36_4,3...Installing gstreamer-0.10.36_2...Installing 
gobject-introspection-1.36.0_2... done
 done
Installing libXv-1.0.10_2,1...Installing videoproto-2.3.2... done
 done
 done
 done
Installing gstreamer-plugins-core-0.10_13...Installing 
gstreamer-plugins-a52dec-0.10.19_1,3...Installing 
gstreamer-plugins-ugly-0.10.19_1,3... done
Installing liba52-0.7.4_2... done
 done
Installing gstreamer-plugins-dts-0.10.23_1,3...Installing 
gstreamer-plugins-bad-0.10.23_1,3... done
Installing libdca-0.0.5... done
 done
Installing gstreamer-plugins-dvd-0.10.19_3,3...Installing libdvdread-4.9.9_2... 
done
 done
Installing gstreamer-plugins-good-0.10.31_1,3... done
Installing gstreamer-plugins-libpng-0.10.31_1,3... done
Installing gstreamer-plugins-mp3-0.10.0_1...Installing 
gstreamer-plugins-mad-0.10.19_2,3... done
 done
Installing gstreamer-plugins-ogg-0.10.36_1,3... done
Installing gstreamer-plugins-pango-0.10.36_2,3... done
Installing gstreamer-plugins-theora-0.10.36_1,3... done
Installing gstreamer-plugins-vorbis-0.10.36_1,3... done
Installing gstreamer-plugins-xvid-0.10.23_1,3... done
 done
Installing liboil-0.3.17_1... done
Installing libsoup-2.40.3_4...Installing glib-networking-2.36.2_2...Installing 
gsettings-desktop-schemas-3.6.1_1...Installing 
cantarell-fonts-0.0.15.../usr/local/share/fonts/cantarell: caching, new cache 
contents: 2 fonts, 0 dirs
/usr/local/share/fonts/cantarell: caching, new cache contents: 2 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/root/.cache/fontconfig: not cleaning non-existent cache directory
/root/.fontconfig: not cleaning non-existent cache directory
/usr/local/bin/fc-cache: succeeded
 done
 done
Installing libgcrypt-1.5.3_2... done
Installing libproxy-0.4.6... done
 done
Installing sqlite3-3.8.4.3... done
 done
 done
===>   Returning to build of mlt-0.9.0_3
===>   mlt-0.9.0_3 depends on shared library: vorbis - found
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for mlt-0.9.0_3
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/mlt++/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/sdl/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/opengl/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/kino/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/sox/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/rtaudio/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/xml/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/avformat/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/jackrack/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/linsys/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/lumas/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/frei0r/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/dv/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/swfdec/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/resample/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/vorbis/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/gtk2/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/modules/qimage/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/swig/configure
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/framework/configure
Configuring framework:
Configuring modules:
Configuring modules/avformat:
Configuring modules/avsync:
Configuring modules/core:
Configuring modules/decklink:
Configuring modules/dgraft:
Configuring modules/dv:
Configuring modules/effectv:
Configuring modules/feeds:
Configuring modules/frei0r:
Configuring modules/gtk2:
Libexif found, enabling auto rotate
Configuring modules/kdenlive:
Configuring modules/linsys:
Configuring modules/lumas:
Configuring modules/motion_est:
Configuring modules/normalize:
Configuring modules/oldfilm:
Configuring modules/opengl:
- movit not found: disabling
Configuring modules/plus:
Configuring modules/qimage:
Libexif found, enabling auto rotate
Qt version 4.x detected, will compile Qt4 qimage producer
Include directory:  /usr/local/include/qt4
Configuring modules/resample:
Configuring modules/rotoscoping:
Configuring modules/rtaudio:
- only builds on Linux, OS X, or Windows: disabling
Configuring modules/sdl:
Configuring modules/sox:
Configuring modules/swfdec:
Configuring modules/videostab:
Configuring modules/vmfx:
Configuring modules/vorbis:
Configuring modules/xine:
Configuring modules/xml:
Configuring mlt++:
Configuring swig:
GPLv3 license used
===========================================================================
=======================<phase: build          >============================
===>  Building for mlt-0.9.0_3
gmake[1]: Entering directory `/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0'
list='src/framework src/mlt++ src/melt src/modules src/swig profiles'; \
for subdir in $list; do \
        gmake -s -C $subdir depend || exit 1; \
        gmake -C $subdir all || exit 1; \
done
gmake[2]: Entering directory 
`/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/framework'
cc: error: unknown argument: '-fno-tree-dominator-opts'
cc: error: unknown argument: '-fno-tree-pre'
cc: error: unknown argument: '-fno-tree-dominator-opts'
cc: error: unknown argument: '-fno-tree-pre'
gmake[2]: *** [depend] Error 1
gmake[2]: Leaving directory 
`/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0/src/framework'
gmake[1]: *** [all] Error 1
gmake[1]: Leaving directory `/wrkdirs/usr/ports/multimedia/mlt/work/mlt-0.9.0'
*** Error code 1

Stop.
make: stopped in /usr/ports/multimedia/mlt
===>  Cleaning for mlt-0.9.0_3
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to